%global minor_version 0.5

Name:           xfce4-mount-plugin
Version:        0.5.5
Release:        5%{?dist}
Summary:        Mount/unmount utility for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-mount-plugin/c/master/ 
# as of 2010-12-19
Patch0:         xfce4-mount-plugin-0.5.5-update-translations.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.20
BuildRequires:  libxfcegui4-devel >= 4.3.20
BuildRequires:  libxml2-devel
BuildRequires:  gettext, intltool
Requires:       xfce4-panel >= 4.4.0

%description
Mount and unmount filesystems from the Xfce panel.

%prep
%setup -q
%patch0 -p1 -b .update-translations

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Sun Dec 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.5-5
- Rebuild for xfce4-panel 4.7
- Update Source0 URL
- Update icon-cache scriptlets

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.5-2
- Rebuild for Xfce 4.6 (Beta 3)

* Sat May 24 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.5-1
- Update to 0.5.5. Can now mount devices by UUID

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.1-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-3
- Rebuild for BuildID feature
- Update license tag

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-2
- Rebuild for Xfce 4.4.1

* Sat Mar 03 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1.

* Fri Mar 02 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0.

* Sun Jan 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.8-2
- Rebuild for Xfce 4.4.
- Update gtk-icon-cache scriptlets.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.8-1
- Update to 0.4.8.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.5-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser), drop BR intltool.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.3-5
- Mass rebuild for Fedora Core 6.

* Sat Jun 03 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.3-4
- BuildRequire intltool (#193444) and gettext.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.3-3
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.3-2
- Rebuild for Fedora Extras 5.

* Sat Jan 21 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.3-1
- Update to 0.3.3.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-3
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-2
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-1.fc4.cw
- Updated to version 0.3.2.
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3-1.fc4.cw
- Updated to version 0.3.
- Rebuild for Core 4.

* Thu Apr 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1-1.fc3.cw
- Initial RPM release.
